//
// This is a simple example project for the AMShellWrapper class.
//
// 2002-08-29  Andreas Mayer
// - first version
// 2004-06-15  Andreas Mayer
// - added stop function


#import <Cocoa/Cocoa.h>
#import "AMShellWrapper.h"


@interface BannerController : NSWindowController <AMShellWrapperDelegate, NSApplicationDelegate>
{
	IBOutlet NSTextView *textOutlet;
	IBOutlet NSTextView *errorOutlet;
	IBOutlet NSTextField *textSource;
	IBOutlet NSButton *runButton;
	IBOutlet NSProgressIndicator *progressIndicator;
	AMShellWrapper *shellWrapper;
}

- (IBAction)printBanner:(id)sender;

- (IBAction)stopTask:(id)sender;

- (AMShellWrapper *)shellWrapper;
- (void)setShellWrapper:(AMShellWrapper *)newShellWrapper;


// ============================================================
// conforming to the AMShellWrapperController protocol:
// ============================================================

- (void)process:(AMShellWrapper *)wrapper appendOutput:(id)output;
// output from stdout

- (void)process:(AMShellWrapper *)wrapper appendError:(NSString *)error;
// output from stderr

- (void)processStarted:(AMShellWrapper *)wrapper;
// This method is a callback which your controller can use to do other initialization
// when a process is launched.

- (void)processFinished:(AMShellWrapper *)wrapper withTerminationStatus:(int)resultCode;
// This method is a callback which your controller can use to do other cleanup
// when a process is halted.


@end
